---
title: "Update a taxonomy collection node"
description: >
  Update a taxonomy collection node. You can use this interface to change the taxonomy collection node associated with a collection and adjust the hierarchical relationship of nodes. If the parent node is not specified, the node will be used as the root node.
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/product/taxonomy-collection/update-a-taxonomy-collection-node'
  md: 'https://developer.shopline.com/docs/admin-rest-api/product/taxonomy-collection/update-a-taxonomy-collection-node.md'
---
# Update a taxonomy collection node

Update a taxonomy collection node. You can use this interface to change the taxonomy collection node associated with a collection and adjust the hierarchical relationship of nodes. If the parent node is not specified, the node will be used as the root node.

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_products`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
PUT /taxonomies/:taxonomy_id.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `write_products`

## Request

### Path Parameters

* `taxonomy_id`

  string (required)

  The unique identifier for the taxonomy collection node.<br/>
  Maximum length: 64

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

### Request Body

* `parent_id`

  string

  The unique identifier for the parent node. If the parent node is not specified, the node will be used as the root node.<br/>
  Maximum length: 64

* `collection_id`

  string

  The unique identifier for the collection.

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `taxonomy`

  object

  Taxonomy collection node information.

  * `is_root`

    boolean

    Indicate whether the node is a root node. Valid values are:  
    - `true`: It is a root node.  
    - `false`: It is not a root node.

  * `parent_id`

    string

    The unique identifier for the parent node.

  * `collection_id`

    string

    The unique identifier for the collection.

  * `id`

    string

    The unique identifier for the taxonomy collection node.

  * `is_leaf`

    boolean

    Indicate whether the node is a leaf node. Valid values are:  
    - `true`: It is a leaf node.  
    - `false`: It is not a leaf node.


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "tags": [
    "Update a taxonomy collection node"
  ],
  "description": "Update a taxonomy collection node. You can use this interface to change the taxonomy collection node associated with a collection and adjust the hierarchical relationship of nodes. If the parent node is not specified, the node will be used as the root node.",
  "externalDocs": {
    "description": "Permission point used by the interface is `write_products` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "WjVDm35D",
  "parameters": [
    {
      "name": "taxonomy_id",
      "in": "path",
      "description": "The unique identifier for the taxonomy collection node.<br/>\nMaximum length: 64",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "taxonomy_id",
        "description": "The unique identifier for the taxonomy collection node.<br/>\nMaximum length: 64",
        "type": "string",
        "example": "7004220176356349981"
      },
      "example": "7004220176356349981",
      "examples": {
        "Update a node": {
          "value": "7004239783855134766"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "name": "body",
          "description": "body position parameter",
          "type": "object",
          "properties": {
            "parent_id": {
              "name": "parent_id",
              "description": "The unique identifier for the parent node. If the parent node is not specified, the node will be used as the root node.<br/>\nMaximum length: 64",
              "type": "string",
              "example": "7004220176356349981"
            },
            "collection_id": {
              "name": "collection_id",
              "description": "The unique identifier for the collection.",
              "type": "string",
              "example": "16050375155238626683133099"
            }
          },
          "example": {
            "collection_id": "16050375155238626683133099",
            "parent_id": "7004220176356349981"
          }
        },
        "examples": {
          "Update a node": {
            "description": "Update a node",
            "value": {
              "collection_id": "12270032666273298714441495",
              "parent_id": "7004220176356349981"
            }
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "taxonomy": {
                "name": "taxonomy",
                "description": "Taxonomy collection node information.",
                "type": "object",
                "properties": {
                  "is_root": {
                    "name": "is_root",
                    "description": "Indicate whether the node is a root node. Valid values are:  \n- `true`: It is a root node.  \n- `false`: It is not a root node.",
                    "type": "boolean"
                  },
                  "parent_id": {
                    "name": "parent_id",
                    "description": "The unique identifier for the parent node.",
                    "type": "string",
                    "example": "7004220176356349981"
                  },
                  "collection_id": {
                    "name": "collection_id",
                    "description": "The unique identifier for the collection.",
                    "type": "string",
                    "example": "16050375155238626683133099"
                  },
                  "id": {
                    "name": "id",
                    "description": "The unique identifier for the taxonomy collection node.",
                    "type": "string",
                    "example": "7004220176356349981"
                  },
                  "is_leaf": {
                    "name": "is_leaf",
                    "description": "Indicate whether the node is a leaf node. Valid values are:  \n- `true`: It is a leaf node.  \n- `false`: It is not a leaf node.",
                    "type": "boolean"
                  }
                },
                "example": {
                  "is_leaf": null,
                  "is_root": null,
                  "parent_id": "7004220176356349981",
                  "collection_id": "16050375155238626683133099",
                  "id": "7004220176356349981"
                }
              }
            },
            "example": {
              "taxonomy": {
                "is_leaf": null,
                "is_root": null,
                "parent_id": "7004220176356349981",
                "collection_id": "16050375155238626683133099",
                "id": "7004220176356349981"
              }
            }
          },
          "examples": {
            "Update a node": {
              "description": "Update a node",
              "value": {
                "taxonomy": {
                  "collection_id": "12270032666273298714441495",
                  "id": "7004239783855134766",
                  "is_leaf": true,
                  "is_root": false,
                  "parent_id": "7004220176356349981"
                }
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "put",
  "path": "/taxonomies/:taxonomy_id.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Update a taxonomy collection node",
    "version": "v20270301"
  },
  "authIndexes": [
    "write_products"
  ]
}
```